#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	SPIRV-Headers
Version		:	1.3.296.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Header files from the SPIR-V registry

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/KhronosGroup/%{name}

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	ninja

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Header files from the SPIR-V registry

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/spirv/*
%{_datadir}/cmake/%{name}/*.cmake
%{_datadir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q -n %{name}-vulkan-sdk-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_BINDIR=%{_bindir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
cmake							\
	--build						\
	_bld						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
